Bug 1307378 - clamav: FTBFS in rawhide
clamav: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nick Bebout
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS 1314115
  Show dependency treegraph
 
Reported: 2016-02-13 16:07 EST by Fedora Release Engineering
Modified: 2016-04-02 12:42 EDT (History)
7 users (show)

See Also:
Fixed In Version: clamav-0.99.1-1.fc23 clamav-0.99.1-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-31 20:26:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (84.37 KB, text/plain)
2016-02-13 16:08 EST, Fedora Release Engineering
no flags Details
root.log (103.70 KB, text/plain)
2016-02-13 16:08 EST, Fedora Release Engineering
no flags Details
state.log (613 bytes, text/plain)
2016-02-13 16:08 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:07:58 EST
Your package clamav failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12809320

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:08:02 EST
Created attachment 1124204 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:08:04 EST
Created attachment 1124205 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:08:06 EST
Created attachment 1124206 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:36:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-02-24 21:46:51 EST
./llvm/include/llvm/Support/AlignOf.h:57:24: error: expected unqualified-id before 'alignof'
 static inline unsigned alignof() { return AlignOf<T>::Alignment; }
                        ^~~~~~~

'alignof' is a reserved name in C++11.

Note that the bundled llvm is quite old.  An alternative to fixing the code would be to use one of llvm3X-devel and configure --with-system-llvm --with-llvm-linking=dynamic.  Unfortunately clamav has yet to be ported to 3.7, so llvm-devel is not an option.
Comment 6 Yaakov Selkowitz 2016-03-28 23:14:05 EDT
(In reply to Yaakov Selkowitz from comment #5)
> ./llvm/include/llvm/Support/AlignOf.h:57:24: error: expected unqualified-id
> before 'alignof'
>  static inline unsigned alignof() { return AlignOf<T>::Alignment; }
>                         ^~~~~~~
> 
> 'alignof' is a reserved name in C++11.
> 
> Note that the bundled llvm is quite old.  An alternative to fixing the code
> would be to use one of llvm3X-devel and configure --with-system-llvm
> --with-llvm-linking=dynamic.  Unfortunately clamav has yet to be ported to
> 3.7, so llvm-devel is not an option.

Or, alternatively, compile it with CXXFLAGS="%{optflags} -std=gnu++98".
Comment 7 Robert Scheck 2016-03-29 17:09:50 EDT
(In reply to Yaakov Selkowitz from comment #6)
> Or, alternatively, compile it with CXXFLAGS="%{optflags} -std=gnu++98".

Added this suggestion now for future builds: http://pkgs.fedoraproject.org/cgit/rpms/clamav.git/commit/?id=aa28a8d469d0b27e91c6eeee98f2b3e43d1f93af
Comment 8 Upstream Release Monitoring 2016-03-29 18:04:45 EDT
robert's clamav-0.99.1-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=749700
Comment 9 Fedora Update System 2016-03-29 18:26:21 EDT
clamav-0.99.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b77d212c1
Comment 10 Fedora Update System 2016-03-29 18:28:32 EDT
clamav-0.99.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-01cbca7bf8
Comment 11 Fedora Update System 2016-03-30 18:26:33 EDT
clamav-0.99.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b77d212c1
Comment 12 Fedora Update System 2016-03-30 18:55:18 EDT
clamav-0.99.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-01cbca7bf8
Comment 13 Fedora Update System 2016-03-31 20:25:57 EDT
clamav-0.99.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-04-02 12:42:16 EDT
clamav-0.99.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.